Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Support #912

OpenPSF: Won't play MiniPSF on Linux
November 04, 2019 10:29 - - -

Status: Closed Start date: November 04, 2019
Priority: Major Due date:

Assignee: % Done: 0%

Category: plugins/psf Estimated time: 0.00 hour

Target version:

Affects version: 3.10.1

Description

As described above.

It reads metadata tags correctly, but it won't play; it simply does nothing. It still works with regular audio files though so this bug has
nothing to do with the audio backend.

Interestingly enough, | have an alternate copy of Audacious (3.8.2) running on Wine and that works with MiniPSF files.

So this should have something to do with the way file paths are denoted on each OS...

History

#1 - November 05, 2019 16:43 - John Lindgren

Have you tried 3.10.1 under Wine also? Hard to say whether it's a Windows-vs-Linux issue when you're also comparing different versions.

#2 - November 05, 2019 18:57 - - -

Downloaded 3.10.1 (Windows) from the website, works fine too as before.

#3 - November 05, 2019 21:16 - - -
RESOLVED

Nevermind. It turns out to be a non-fixable Windows/Linux issue.

The psflib file it was looking for is in small letters, while the one | have is in capitals.

For Windows, this isn't an issue, while it is for Linux (and Unix).

The error can be seen when running audacious from my terminal emulator. Should've done that before reporting really.

Thanks!

#4 - November 06, 2019 00:23 - John Lindgren
- Status changed from New to Closed

- Tracker changed from Bug to Support

All right, thanks for the update.
